/* flapping cards */
/* Visit https://nicolaskadis.info/projects/pure-css-flip-cards-using-bootstrap-4-and-css-grid-no-js for an explanation */
/* for demo purposes */
.card {
  /* margin: 10px 10px; */
  background: #1d1d1d;
  color: #ffffff;
  /* min-height: 25rem; */
  padding: 10rem 3rem;
}

/* Flip Cards CSS */
.card-container {
  display: -ms-grid;
  display: grid;
}

.card-flip .card.front {
  display: block;
}

.card-flip .card.back {
  display: none;
}

.card-text {
  text-align: justify;
}

.card-flip:hover .card.front {
  display: none;
}

.card-flip:hover .card.back {
  display: block;
  margin-top: -2rem;
  padding: 8rem 3rem;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}

.card-flip:hover .card.back.programs {
  background: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.404)), to(rgba(44, 44, 44, 0.767))), url(../images/programs.jpg);
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.404), rgba(44, 44, 44, 0.767)), url(../images/programs.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}

.card-flip:hover .card.back.events {
  background: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.404)), to(rgba(44, 44, 44, 0.767))), url(../images/events.jpg);
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.404), rgba(44, 44, 44, 0.767)), url(../images/events.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}

.card-flip:hover .card.back.community {
  background: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.404)), to(rgba(44, 44, 44, 0.767))), url(../images/community.jpg);
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.404), rgba(44, 44, 44, 0.767)), url(../images/community.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}

.card-title {
  border-bottom: 0.5rem solid #ffffff;
  color: #ffffff;
  display: inline-block;
}

.cards-wrapper {
  margin: 0 5rem;
}

.cards-wrapper div.cards-container {
  margin: 3rem auto 10rem auto;
}

.card-link i {
  font-size: 3rem;
  float: right;
  color: #ffffff;
  padding: 1rem 2rem;
}

.card-link i:hover {
  color: #64cb82;
}

/* 
.card-flip {
  display: grid;
  grid-template: 1fr / 1fr;
  grid-template-areas: "frontAndBack";
  transform-style: preserve-3d;
  transition: all 0.6s ease;
}

.card-flip div {
  backface-visibility: hidden;
  transform-style: preserve-3d;
}

.front {
  grid-area: frontAndBack;
}

.back {
  grid-area: frontAndBack;
  transform: rotateY(-180deg);
} */
.card.back:hover {
  /* background: url("https://picsum.photos/200/300/?blur") top center no-repeat;
  background-size: cover; */
}

.card-container:hover .card-flip {
  /* transform: rotateY(180deg); */
  /* background: red */
  /* margin-top: -2rem;
  margin-bottom: 2rem; */
  /* padding-bottom: 12rem; */
}

/* flapping cards */
@media screen and (max-width: 768px) {
  .card-flip .card.front {
    display: none;
    background-color: #1d1d1d;
  }
  .card-flip .card.back {
    padding: 6rem 2rem;
    display: block;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    margin: 2rem 0;
  }
  .card-flip .card.back.programs {
    background: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.404)), to(rgba(44, 44, 44, 0.767))), url(../images/programs.jpg) no-repeat;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.404), rgba(44, 44, 44, 0.767)), url(../images/programs.jpg) no-repeat;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
  }
  .card-flip .card.back.events {
    background: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.404)), to(rgba(44, 44, 44, 0.767))), url(../images/events.jpg) no-repeat;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.404), rgba(44, 44, 44, 0.767)), url(../images/events.jpg) no-repeat;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
  }
  .card-flip .card.back.community {
    background: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.404)), to(rgba(44, 44, 44, 0.767))), url(../images/community.jpg) no-repeat;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.404), rgba(44, 44, 44, 0.767)), url(../images/community.jpg) no-repeat;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center right;
  }
}
/*# sourceMappingURL=flipcards.css.map */